Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Class SbmlSemanticTest

    java.lang.Object
      TestCase
          biouml.plugins.sbml._test.SbmlSemanticTest

public class SbmlSemanticTest
extends TestCase

Batch unit test for biouml.model package.

See Also:
  Serialized Form

Constructor Summary
`SbmlSemanticTest(java.lang.String name)` Standart JUnit constructor

Method Summary
`static Test` | `suite()` Make suite if tests.
`void` | `testJavaSimulationEngine_11()`
`void` | `testJavaSimulationEngine_21()`
`void` | `testMatlabSimulationEngine_11()`
`void` | `testMatlabSimulationEngine_21()`
`void` | `testSimulationEngine(java.lang.String testListName, java.lang.String title, SimulationEngine engine, java.lang.String sbmlLevel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmlSemanticTest

    public SbmlSemanticTest(java.lang.String name)

  Standart JUnit constructor

Method Detail

### suite

    public static Test suite()

  Make suite if tests.

### testMatlabSimulationEngine_11

    public void testMatlabSimulationEngine_11()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMatlabSimulationEngine_21

    public void testMatlabSimulationEngine_21()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJavaSimulationEngine_11

    public void testJavaSimulationEngine_11()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJavaSimulationEngine_21

    public void testJavaSimulationEngine_21()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSimulationEngine

    public void testSimulationEngine(java.lang.String testListName,
                                     java.lang.String title,
                                     SimulationEngine engine,
                                     java.lang.String sbmlLevel)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.